Retry a Run
curl --request POST \
--url https://api.captaindata.co/v3/jobs/{job_uid}/retry \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'x-project-id: <api-key>' \
--data '
{
"input_parameters": "<unknown>",
"integrations": {},
"delay": 123,
"job_name": "<unknown>",
"default_retry_behavior": "<unknown>",
"default_retry_times": "<unknown>",
"timeslot_start_time": "<unknown>",
"timeslot_finish_time": "<unknown>",
"timeslot_days": "<unknown>",
"timeslot_timezone": "<unknown>",
"steps_configuration": [
{}
],
"steps": [
{}
]
}
'import requests
url = "https://api.captaindata.co/v3/jobs/{job_uid}/retry"
payload = {
"input_parameters": "<unknown>",
"integrations": {},
"delay": 123,
"job_name": "<unknown>",
"default_retry_behavior": "<unknown>",
"default_retry_times": "<unknown>",
"timeslot_start_time": "<unknown>",
"timeslot_finish_time": "<unknown>",
"timeslot_days": "<unknown>",
"timeslot_timezone": "<unknown>",
"steps_configuration": [{}],
"steps": [{}]
}
headers = {
"Authorization": "<api-key>",
"x-project-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<api-key>',
'x-project-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
input_parameters: '<unknown>',
integrations: {},
delay: 123,
job_name: '<unknown>',
default_retry_behavior: '<unknown>',
default_retry_times: '<unknown>',
timeslot_start_time: '<unknown>',
timeslot_finish_time: '<unknown>',
timeslot_days: '<unknown>',
timeslot_timezone: '<unknown>',
steps_configuration: [{}],
steps: [{}]
})
};
fetch('https://api.captaindata.co/v3/jobs/{job_uid}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
"<unknown>"
]
}Runs
Retry a Run
POST
/
v3
/
jobs
/
{job_uid}
/
retry
Retry a Run
Authorizations
The Authorization header must include 'x-api-key' followed by your API key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
Workspace UID required to identify the workspace.
Path Parameters
Body
application/json
Response
Successful Response
⌘I